import { NodeSchema, PropValue } from 'vitis-lowcode-types';
import Prop from './prop';
import Node from './index';
export default class Props {
    readonly id: string;
    items: Prop[];
    owner: Node;
    constructor(owner: Node, values?: NodeSchema['props']);
    export(): {
        [key: string]: PropValue;
    };
    getProp(propName: string, createIfNone?: boolean): Prop;
}
